OH BOY need some help please

WARNING: some off color language in here.

You all may have noticed that I use Debian just by looking at my avatar.
I don’t like distros that bloat up a bunch of applications that I don’t even know how to use and call it something wonderful.

So I have my Debian all setup with only the tools I need right now and know how to use plus a few I am learning and a few I made for myself to run other things,

With that out of the way I am having the shittiest time with Metsaploit since it updated yesterday.
For some reason it broke the db or something and won’t connect to it no matter what I try and every search i think of is plastered with old out of date things about Kali(about as annoying as looking for help with Debian and only finding results for ubuntu).

My problem isn’t specific to any OS or Linux Distro though.

things I have tried
Un install and reinstall MSF
didn’t have any effect at all.
Before and after I tried making sure that postgresql was running (service postgresql status) and it was of courcse the problem isn’t with that.

Heres the big problem I just figured out.
Run msfdb init
Everything goes fine and then theres an error about doing things in /opt that it can’t do because of course MSF won’t let you run msfdb init as root.

So I don’t know wtf to do and thought I would come ask for some advice or help or whatever it might be.

In the meantime I am reinstalling both postgresql and msf just to see if it helps.

If you want to see the specific logs of it not working I am sure I will have fresh ones in a few minutes when I reinstall both of them since I got pissed off and deleted everything before I uninstalled them.

Sorry for the language I am just really frustrated I use MSF all the time like I am sure a lot of you do (if you;re not you’re doing somethign wrong LOL).

Thank you very much in advance if you try to help even if your advice gets me nowhere I appreciate it a lot.

So this is what happens.

msf-w.log after doing msfdb init

Writing PID to /home/bugz/.msf4/msf-ws.pid Thin web server (v1.7.2 codename Bachmanity) Maximum connections set to 1024 Listening on localhost:5443, CTRL+C to stop Exiting! /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/eventmachine-1.2.7/lib/eventmachine.rb:531:in `start_tcp_server': no acceptor (port is in use or requires root privileges) (RuntimeError) from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/eventmachine-1.2.7/lib/eventmachine.rb:531:in `start_server' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/lib/thin/backends/tcp_server.rb:16:in `connect' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/lib/thin/backends/base.rb:63:in `block in start' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/eventmachine-1.2.7/lib/eventmachine.rb:195:in `run_machine' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/eventmachine-1.2.7/lib/eventmachine.rb:195:in `run' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/lib/thin/backends/base.rb:73:in `start' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/lib/thin/server.rb:162:in `start' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/lib/thin/controllers/controller.rb:87:in `start' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/lib/thin/runner.rb:203:in `run_command' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/lib/thin/runner.rb:159:in `run!' from /opt/metasploit-framework/embedded/lib/ruby/gems/2.5.0/gems/thin-1.7.2/bin/thin:6:in `<top (required)>' from /opt/metasploit-framework/embedded/bin/thin:23:in `load' from /opt/metasploit-framework/embedded/bin/thin:23:in `<main>'

Notice it is talking about needing to be root to start the server?
Well you can’t run msfdb as root it won’t let me.

So I try to connect to the db manually like it tells me in the help file

db_connect <user:[pass]>@<host:[port]>/<database>

Like so db_connect msf:[email protected]:5433/msf(don’t care about that password good luck using it for anything)

And I get this

Error while running command db_connect: Failed to connect to the Postgres data >service: could not connect to server: Connection refused
Is the server running on host “127.0.0.1” and accepting
TCP/IP connections on port 5433?

Call stack:
/opt/metasploit-framework/embedded/framework/lib/msf/ui/console/command_dispatcher/db.rb:2069:in db_connect_postgresql' /opt/metasploit-framework/embedded/framework/lib/msf/ui/console/command_dispatcher/db.rb:1837:incmd_db_connect’
/opt/metasploit-framework/embedded/framework/lib/rex/ui/text/dispatcher_shell.rb:523:in run_command' /opt/metasploit-framework/embedded/framework/lib/rex/ui/text/dispatcher_shell.rb:474:inblock in run_single’
/opt/metasploit-framework/embedded/framework/lib/rex/ui/text/dispatcher_shell.rb:468:in each' /opt/metasploit-framework/embedded/framework/lib/rex/ui/text/dispatcher_shell.rb:468:inrun_single’
/opt/metasploit-framework/embedded/framework/lib/rex/ui/text/shell.rb:151:in run' /opt/metasploit-framework/embedded/framework/lib/metasploit/framework/command/console.rb:48:instart’
/opt/metasploit-framework/embedded/framework/lib/metasploit/framework/command/base.rb:82:in start' /opt/metasploit-framework/bin/../embedded/framework/msfconsole:49:in[/code]

I have even gone in the postgresql config and told it to allow connections on 127.0.0.1:5433

No luck and no search result on this planet is any help since the newest I can find tells me the new version of MSF(which I have the newest)will set it all up for you BULLSHIT because it didn’t.

I know the db isn’t required but I don’t like red letters when I start up something telling me that a feature isn’t working required or not.

Ignore this I after some more reading and trying one more thing I %$#^& it up worse